# Module `occSDLsound` - Interface to foreign library occSDLsound

Interface to foreign library `occSDLsound`. Generated automatically using SWIG 1.3.31.

## Index

- Constant `SOUND.VER.MAJOR` - Foreign int constant SOUND_VER_MAJOR
- Constant `SOUND.VER.MINOR` - Foreign int constant SOUND_VER_MINOR
- Constant `SOUND.VER.PATCH` - Foreign int constant SOUND_VER_PATCH
- Data type `Sound.AudioInfo` - Foreign structure pointer type Sound_AudioInfo
- Process `Sound.AvailableDecoders` - Foreign function Sound_AvailableDecoders
- Process `Sound.ClearError` - Foreign function Sound_ClearError
- Process `Sound.Decode` - Foreign function Sound_Decode
- Process `Sound.DecodeAll` - Foreign function Sound_DecodeAll
- Data type `Sound.DecoderInfo` - Foreign structure pointer type Sound_DecoderInfo
- Process `Sound.FreeSample` - Foreign function Sound_FreeSample
- Process `Sound.GetLinkedVersion` - Foreign function Sound_GetLinkedVersion
- Process `Sound.Init` - Foreign function Sound_Init
- Process `Sound.NewSampleFromFile` - Foreign function Sound_NewSampleFromFile
- Process `Sound.Quit` - Foreign function Sound_Quit
- Process `Sound.Rewind` - Foreign function Sound_Rewind
- Data type `Sound.Sample` - Foreign structure pointer type Sound_Sample
- Group `Sound.SampleFlags` - Foreign enumeration Sound_SampleFlags
- Process `Sound.Seek` - Foreign function Sound_Seek
- Process `Sound.SetBufferSize` - Foreign function Sound_SetBufferSize
- Data type `Sound.Version` - Foreign structure pointer type Sound_Version
- Process `check.if.done.playing` - Foreign function check_if_done_playing
- Process `create.Sound.AudioInfo` - Allocate foreign structure Sound.AudioInfo
- Process `create.Sound.DecoderInfo` - Allocate foreign structure Sound.DecoderInfo
- Process `create.Sound.Sample` - Allocate foreign structure Sound.Sample
- Process `create.Sound.Version` - Allocate foreign structure Sound.Version
- Process `delete.Sound.AudioInfo` - Free foreign structure Sound.AudioInfo
- Process `delete.Sound.DecoderInfo` - Free foreign structure Sound.DecoderInfo
- Process `delete.Sound.Sample` - Free foreign structure Sound.Sample
- Process `delete.Sound.Version` - Free foreign structure Sound.Version
- Process `get.Sound.AudioInfo.channels` - Get value of member channels of foreign structure Sound.AudioInfo
- Process `get.Sound.AudioInfo.format` - Get value of member format of foreign structure Sound.AudioInfo
- Process `get.Sound.AudioInfo.rate` - Get value of member rate of foreign structure Sound.AudioInfo
- Process `get.Sound.DecoderInfo.author` - Get value of member author of foreign structure Sound.DecoderInfo
- Process `get.Sound.DecoderInfo.description` - Get value of member description of foreign structure Sound.DecoderInfo
- Process `get.Sound.DecoderInfo.extensions` - Get value of member extensions of foreign structure Sound.DecoderInfo
- Process `get.Sound.DecoderInfo.url` - Get value of member url of foreign structure Sound.DecoderInfo
- Process `get.Sound.Sample.actual` - Get value of member actual of foreign structure Sound.Sample
- Process `get.Sound.Sample.buffer` - Get value of member buffer of foreign structure Sound.Sample
- Process `get.Sound.Sample.buffer.size` - Get value of member buffer.size of foreign structure Sound.Sample
- Process `get.Sound.Sample.decoder` - Get value of member decoder of foreign structure Sound.Sample
- Process `get.Sound.Sample.desired` - Get value of member desired of foreign structure Sound.Sample
- Process `get.Sound.Sample.flags` - Get value of member flags of foreign structure Sound.Sample
- Process `get.Sound.Version.major` - Get value of member major of foreign structure Sound.Version
- Process `get.Sound.Version.minor` - Get value of member minor of foreign structure Sound.Version
- Process `get.Sound.Version.patch` - Get value of member patch of foreign structure Sound.Version
- Process `get.audio.callback.ptr` - Foreign function get_audio_callback_ptr
- Process `occ.Sound.GetError` - Foreign function occ_Sound_GetError
- Process `set.Sound.AudioInfo.channels` - Set value of member channels of foreign structure Sound.AudioInfo
- Process `set.Sound.AudioInfo.format` - Set value of member format of foreign structure Sound.AudioInfo
- Process `set.Sound.AudioInfo.rate` - Set value of member rate of foreign structure Sound.AudioInfo
- Process `set.Sound.DecoderInfo.author` - Set value of member author of foreign structure Sound.DecoderInfo
- Process `set.Sound.DecoderInfo.description` - Set value of member description of foreign structure Sound.DecoderInfo
- Process `set.Sound.DecoderInfo.extensions` - Set value of member extensions of foreign structure Sound.DecoderInfo
- Process `set.Sound.DecoderInfo.url` - Set value of member url of foreign structure Sound.DecoderInfo
- Process `set.Sound.Sample.buffer` - Set value of member buffer of foreign structure Sound.Sample
- Process `set.Sound.Sample.buffer.size` - Set value of member buffer.size of foreign structure Sound.Sample
- Process `set.Sound.Version.major` - Set value of member major of foreign structure Sound.Version
- Process `set.Sound.Version.minor` - Set value of member minor of foreign structure Sound.Version
- Process `set.Sound.Version.patch` - Set value of member patch of foreign structure Sound.Version

## Declarations

### `occSDLsound.inc`:16Constant `SOUND.VER.MAJOR`

`VAL INT SOUND.VER.MAJOR`

Foreign `int` constant `SOUND_VER_MAJOR`.

### `occSDLsound.inc`:18Constant `SOUND.VER.MINOR`

`VAL INT SOUND.VER.MINOR`

Foreign `int` constant `SOUND_VER_MINOR`.

### `occSDLsound.inc`:20Constant `SOUND.VER.PATCH`

`VAL INT SOUND.VER.PATCH`

Foreign `int` constant `SOUND_VER_PATCH`.

### `occSDLsound.inc`:22Group `Sound.SampleFlags`

``

Foreign enumeration `Sound_SampleFlags`.

### `occSDLsound.inc`:31Data type `Sound.AudioInfo`

`DATA TYPE Sound.AudioInfo`

Foreign structure pointer type `Sound_AudioInfo`.

### `occSDLsound.inc`:36Process `create.Sound.AudioInfo`

`INLINE PROC create.Sound.AudioInfo (RESULT Sound.AudioInfo ptr)`

Allocate foreign structure `Sound.AudioInfo`.

#### Parameters:

`RESULT Sound.AudioInfo` | `ptr` | Pointer to newly-allocated structure.

### `occSDLsound.inc`:42Process `delete.Sound.AudioInfo`

`INLINE PROC delete.Sound.AudioInfo (Sound.AudioInfo ptr)`

Free foreign structure `Sound.AudioInfo`.

#### Parameters:

`Sound.AudioInfo` | `ptr` | Pointer to structure to free.

### `occSDLsound.inc`:49Process `get.Sound.AudioInfo.format`

`INLINE PROC get.Sound.AudioInfo.format (RESULT INT16 value, VAL Sound.AudioInfo ptr)`

Get value of member `format` of foreign structure `Sound.AudioInfo`.

#### Parameters:

`RESULT INT16` | `value` | Contents of the member `format`.
`VAL Sound.AudioInfo` | `ptr` | Pointer to foreign structure `Sound.AudioInfo`.

### `occSDLsound.inc`:56Process `set.Sound.AudioInfo.format`

`INLINE PROC set.Sound.AudioInfo.format (VAL INT16 value, VAL Sound.AudioInfo ptr)`

Set value of member `format` of foreign structure `Sound.AudioInfo`.

#### Parameters:

`VAL INT16` | `value` | New contents of the member `format`.
`VAL Sound.AudioInfo` | `ptr` | Pointer to foreign structure `Sound.AudioInfo`.

### `occSDLsound.inc`:63Process `get.Sound.AudioInfo.channels`

`INLINE PROC get.Sound.AudioInfo.channels (RESULT BYTE value, VAL Sound.AudioInfo ptr)`

Get value of member `channels` of foreign structure `Sound.AudioInfo`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `channels`.
`VAL Sound.AudioInfo` | `ptr` | Pointer to foreign structure `Sound.AudioInfo`.

### `occSDLsound.inc`:70Process `set.Sound.AudioInfo.channels`

`INLINE PROC set.Sound.AudioInfo.channels (VAL BYTE value, VAL Sound.AudioInfo ptr)`

Set value of member `channels` of foreign structure `Sound.AudioInfo`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `channels`.
`VAL Sound.AudioInfo` | `ptr` | Pointer to foreign structure `Sound.AudioInfo`.

### `occSDLsound.inc`:77Process `get.Sound.AudioInfo.rate`

`INLINE PROC get.Sound.AudioInfo.rate (RESULT INT value, VAL Sound.AudioInfo ptr)`

Get value of member `rate` of foreign structure `Sound.AudioInfo`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `rate`.
`VAL Sound.AudioInfo` | `ptr` | Pointer to foreign structure `Sound.AudioInfo`.

### `occSDLsound.inc`:84Process `set.Sound.AudioInfo.rate`

`INLINE PROC set.Sound.AudioInfo.rate (VAL INT value, VAL Sound.AudioInfo ptr)`

Set value of member `rate` of foreign structure `Sound.AudioInfo`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `rate`.
`VAL Sound.AudioInfo` | `ptr` | Pointer to foreign structure `Sound.AudioInfo`.

### `occSDLsound.inc`:89Data type `Sound.DecoderInfo`

`DATA TYPE Sound.DecoderInfo`

Foreign structure pointer type `Sound_DecoderInfo`.

### `occSDLsound.inc`:94Process `create.Sound.DecoderInfo`

`INLINE PROC create.Sound.DecoderInfo (RESULT Sound.DecoderInfo ptr)`

Allocate foreign structure `Sound.DecoderInfo`.

#### Parameters:

`RESULT Sound.DecoderInfo` | `ptr` | Pointer to newly-allocated structure.

### `occSDLsound.inc`:100Process `delete.Sound.DecoderInfo`

`INLINE PROC delete.Sound.DecoderInfo (Sound.DecoderInfo ptr)`

Free foreign structure `Sound.DecoderInfo`.

#### Parameters:

`Sound.DecoderInfo` | `ptr` | Pointer to structure to free.

### `occSDLsound.inc`:107Process `get.Sound.DecoderInfo.extensions`

`INLINE PROC get.Sound.DecoderInfo.extensions (RESULT BYTE value, VAL Sound.DecoderInfo ptr)`

Get value of member `extensions` of foreign structure `Sound.DecoderInfo`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `extensions`.
`VAL Sound.DecoderInfo` | `ptr` | Pointer to foreign structure `Sound.DecoderInfo`.

### `occSDLsound.inc`:114Process `set.Sound.DecoderInfo.extensions`

`INLINE PROC set.Sound.DecoderInfo.extensions (VAL BYTE value, VAL Sound.DecoderInfo ptr)`

Set value of member `extensions` of foreign structure `Sound.DecoderInfo`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `extensions`.
`VAL Sound.DecoderInfo` | `ptr` | Pointer to foreign structure `Sound.DecoderInfo`.

### `occSDLsound.inc`:121Process `get.Sound.DecoderInfo.description`

`INLINE PROC get.Sound.DecoderInfo.description (RESULT BYTE value, VAL Sound.DecoderInfo ptr)`

Get value of member `description` of foreign structure `Sound.DecoderInfo`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `description`.
`VAL Sound.DecoderInfo` | `ptr` | Pointer to foreign structure `Sound.DecoderInfo`.

### `occSDLsound.inc`:128Process `set.Sound.DecoderInfo.description`

`INLINE PROC set.Sound.DecoderInfo.description (VAL BYTE value, VAL Sound.DecoderInfo ptr)`

Set value of member `description` of foreign structure `Sound.DecoderInfo`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `description`.
`VAL Sound.DecoderInfo` | `ptr` | Pointer to foreign structure `Sound.DecoderInfo`.

### `occSDLsound.inc`:135Process `get.Sound.DecoderInfo.author`

`INLINE PROC get.Sound.DecoderInfo.author (RESULT BYTE value, VAL Sound.DecoderInfo ptr)`

Get value of member `author` of foreign structure `Sound.DecoderInfo`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `author`.
`VAL Sound.DecoderInfo` | `ptr` | Pointer to foreign structure `Sound.DecoderInfo`.

### `occSDLsound.inc`:142Process `set.Sound.DecoderInfo.author`

`INLINE PROC set.Sound.DecoderInfo.author (VAL BYTE value, VAL Sound.DecoderInfo ptr)`

Set value of member `author` of foreign structure `Sound.DecoderInfo`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `author`.
`VAL Sound.DecoderInfo` | `ptr` | Pointer to foreign structure `Sound.DecoderInfo`.

### `occSDLsound.inc`:149Process `get.Sound.DecoderInfo.url`

`INLINE PROC get.Sound.DecoderInfo.url (RESULT BYTE value, VAL Sound.DecoderInfo ptr)`

Get value of member `url` of foreign structure `Sound.DecoderInfo`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `url`.
`VAL Sound.DecoderInfo` | `ptr` | Pointer to foreign structure `Sound.DecoderInfo`.

### `occSDLsound.inc`:156Process `set.Sound.DecoderInfo.url`

`INLINE PROC set.Sound.DecoderInfo.url (VAL BYTE value, VAL Sound.DecoderInfo ptr)`

Set value of member `url` of foreign structure `Sound.DecoderInfo`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `url`.
`VAL Sound.DecoderInfo` | `ptr` | Pointer to foreign structure `Sound.DecoderInfo`.

### `occSDLsound.inc`:161Data type `Sound.Sample`

`DATA TYPE Sound.Sample`

Foreign structure pointer type `Sound_Sample`.

### `occSDLsound.inc`:166Process `create.Sound.Sample`

`INLINE PROC create.Sound.Sample (RESULT Sound.Sample ptr)`

Allocate foreign structure `Sound.Sample`.

#### Parameters:

`RESULT Sound.Sample` | `ptr` | Pointer to newly-allocated structure.

### `occSDLsound.inc`:172Process `delete.Sound.Sample`

`INLINE PROC delete.Sound.Sample (Sound.Sample ptr)`

Free foreign structure `Sound.Sample`.

#### Parameters:

`Sound.Sample` | `ptr` | Pointer to structure to free.

### `occSDLsound.inc`:179Process `get.Sound.Sample.decoder`

`INLINE PROC get.Sound.Sample.decoder (RESULT Sound.DecoderInfo value, VAL Sound.Sample ptr)`

Get value of member `decoder` of foreign structure `Sound.Sample`.

#### Parameters:

`RESULT Sound.DecoderInfo` | `value` | Contents of the member `decoder`.
`VAL Sound.Sample` | `ptr` | Pointer to foreign structure `Sound.Sample`.

### `occSDLsound.inc`:186Process `get.Sound.Sample.desired`

`INLINE PROC get.Sound.Sample.desired (RESULT Sound.AudioInfo value, VAL Sound.Sample ptr)`

Get value of member `desired` of foreign structure `Sound.Sample`.

#### Parameters:

`RESULT Sound.AudioInfo` | `value` | Contents of the member `desired`.
`VAL Sound.Sample` | `ptr` | Pointer to foreign structure `Sound.Sample`.

### `occSDLsound.inc`:193Process `get.Sound.Sample.actual`

`INLINE PROC get.Sound.Sample.actual (RESULT Sound.AudioInfo value, VAL Sound.Sample ptr)`

Get value of member `actual` of foreign structure `Sound.Sample`.

#### Parameters:

`RESULT Sound.AudioInfo` | `value` | Contents of the member `actual`.
`VAL Sound.Sample` | `ptr` | Pointer to foreign structure `Sound.Sample`.

### `occSDLsound.inc`:200Process `get.Sound.Sample.buffer`

`INLINE PROC get.Sound.Sample.buffer (RESULT INT value, VAL Sound.Sample ptr)`

Get value of member `buffer` of foreign structure `Sound.Sample`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `buffer`.
`VAL Sound.Sample` | `ptr` | Pointer to foreign structure `Sound.Sample`.

### `occSDLsound.inc`:207Process `set.Sound.Sample.buffer`

`INLINE PROC set.Sound.Sample.buffer (VAL INT value, VAL Sound.Sample ptr)`

Set value of member `buffer` of foreign structure `Sound.Sample`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `buffer`.
`VAL Sound.Sample` | `ptr` | Pointer to foreign structure `Sound.Sample`.

### `occSDLsound.inc`:214Process `get.Sound.Sample.buffer.size`

`INLINE PROC get.Sound.Sample.buffer.size (RESULT INT value, VAL Sound.Sample ptr)`

Get value of member `buffer.size` of foreign structure `Sound.Sample`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `buffer.size`.
`VAL Sound.Sample` | `ptr` | Pointer to foreign structure `Sound.Sample`.

### `occSDLsound.inc`:221Process `set.Sound.Sample.buffer.size`

`INLINE PROC set.Sound.Sample.buffer.size (VAL INT value, VAL Sound.Sample ptr)`

Set value of member `buffer.size` of foreign structure `Sound.Sample`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `buffer.size`.
`VAL Sound.Sample` | `ptr` | Pointer to foreign structure `Sound.Sample`.

### `occSDLsound.inc`:228Process `get.Sound.Sample.flags`

`INLINE PROC get.Sound.Sample.flags (RESULT Sound.SampleFlags value, VAL Sound.Sample ptr)`

Get value of member `flags` of foreign structure `Sound.Sample`.

#### Parameters:

`RESULT Sound.SampleFlags` | `value` | Contents of the member `flags`.
`VAL Sound.Sample` | `ptr` | Pointer to foreign structure `Sound.Sample`.

### `occSDLsound.inc`:233Data type `Sound.Version`

`DATA TYPE Sound.Version`

Foreign structure pointer type `Sound_Version`.

### `occSDLsound.inc`:238Process `create.Sound.Version`

`INLINE PROC create.Sound.Version (RESULT Sound.Version ptr)`

Allocate foreign structure `Sound.Version`.

#### Parameters:

`RESULT Sound.Version` | `ptr` | Pointer to newly-allocated structure.

### `occSDLsound.inc`:244Process `delete.Sound.Version`

`INLINE PROC delete.Sound.Version (Sound.Version ptr)`

Free foreign structure `Sound.Version`.

#### Parameters:

`Sound.Version` | `ptr` | Pointer to structure to free.

### `occSDLsound.inc`:251Process `get.Sound.Version.major`

`INLINE PROC get.Sound.Version.major (RESULT INT value, VAL Sound.Version ptr)`

Get value of member `major` of foreign structure `Sound.Version`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `major`.
`VAL Sound.Version` | `ptr` | Pointer to foreign structure `Sound.Version`.

### `occSDLsound.inc`:258Process `set.Sound.Version.major`

`INLINE PROC set.Sound.Version.major (VAL INT value, VAL Sound.Version ptr)`

Set value of member `major` of foreign structure `Sound.Version`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `major`.
`VAL Sound.Version` | `ptr` | Pointer to foreign structure `Sound.Version`.

### `occSDLsound.inc`:265Process `get.Sound.Version.minor`

`INLINE PROC get.Sound.Version.minor (RESULT INT value, VAL Sound.Version ptr)`

Get value of member `minor` of foreign structure `Sound.Version`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `minor`.
`VAL Sound.Version` | `ptr` | Pointer to foreign structure `Sound.Version`.

### `occSDLsound.inc`:272Process `set.Sound.Version.minor`

`INLINE PROC set.Sound.Version.minor (VAL INT value, VAL Sound.Version ptr)`

Set value of member `minor` of foreign structure `Sound.Version`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `minor`.
`VAL Sound.Version` | `ptr` | Pointer to foreign structure `Sound.Version`.

### `occSDLsound.inc`:279Process `get.Sound.Version.patch`

`INLINE PROC get.Sound.Version.patch (RESULT INT value, VAL Sound.Version ptr)`

Get value of member `patch` of foreign structure `Sound.Version`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `patch`.
`VAL Sound.Version` | `ptr` | Pointer to foreign structure `Sound.Version`.

### `occSDLsound.inc`:286Process `set.Sound.Version.patch`

`INLINE PROC set.Sound.Version.patch (VAL INT value, VAL Sound.Version ptr)`

Set value of member `patch` of foreign structure `Sound.Version`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `patch`.
`VAL Sound.Version` | `ptr` | Pointer to foreign structure `Sound.Version`.

### `occSDLsound.inc`:294Process `Sound.GetLinkedVersion`

`INLINE PROC Sound.GetLinkedVersion (Sound.Version ver)`

Foreign function `Sound_GetLinkedVersion`.

#### Parameters:

`Sound.Version` | `ver` | Argument with type `Sound_Version *`.

### `occSDLsound.inc`:302Process `Sound.Init`

`INLINE PROC Sound.Init (RESULT INT return.value)`

Foreign function `Sound_Init`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.

### `occSDLsound.inc`:310Process `Sound.Quit`

`INLINE PROC Sound.Quit (RESULT INT return.value)`

Foreign function `Sound_Quit`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.

### `occSDLsound.inc`:318Process `Sound.AvailableDecoders`

`INLINE PROC Sound.AvailableDecoders (Sound.DecoderInfo return.value)`

Foreign function `Sound_AvailableDecoders`.

#### Parameters:

`Sound.DecoderInfo` | `return.value` | Function return value with type `Sound_DecoderInfo const **`.

### `occSDLsound.inc`:328Process `occ.Sound.GetError`

`INLINE PROC occ.Sound.GetError ([]BYTE err.str, VAL INT err.str.len, INT str.len)`

Foreign function `occ_Sound_GetError`.

#### Parameters:

`[]BYTE` | `err.str` | Array pointer argument with element type `char`.
`VAL INT` | `err.str.len` | Argument with type `int`.
`INT` | `str.len` | Argument with type `int *`.

### `occSDLsound.inc`:335Process `Sound.ClearError`

`INLINE PROC Sound.ClearError ()`

Foreign function `Sound_ClearError`.

### `occSDLsound.inc`:346Process `Sound.NewSampleFromFile`

`INLINE PROC Sound.NewSampleFromFile (Sound.Sample return.value, VAL []BYTE fname, Sound.AudioInfo desired, VAL INT bufferSize)`

Foreign function `Sound_NewSampleFromFile`.

#### Parameters:

`Sound.Sample` | `return.value` | Function return value with type `Sound_Sample *`.
`VAL []BYTE` | `fname` | Array pointer argument with element type `char const`.
`Sound.AudioInfo` | `desired` | Argument with type `Sound_AudioInfo *`.
`VAL INT` | `bufferSize` | Argument with type `Uint32`.

### `occSDLsound.inc`:354Process `Sound.FreeSample`

`INLINE PROC Sound.FreeSample (Sound.Sample sample)`

Foreign function `Sound_FreeSample`.

#### Parameters:

`Sound.Sample` | `sample` | Argument with type `Sound_Sample *`.

### `occSDLsound.inc`:364Process `Sound.SetBufferSize`

`INLINE PROC Sound.SetBufferSize (RESULT INT return.value, Sound.Sample sample, VAL INT new.size)`

Foreign function `Sound_SetBufferSize`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`Sound.Sample` | `sample` | Argument with type `Sound_Sample *`.
`VAL INT` | `new.size` | Argument with type `Uint32`.

### `occSDLsound.inc`:373Process `Sound.Decode`

`INLINE PROC Sound.Decode (RESULT INT return.value, Sound.Sample sample)`

Foreign function `Sound_Decode`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `Uint32`.
`Sound.Sample` | `sample` | Argument with type `Sound_Sample *`.

### `occSDLsound.inc`:382Process `Sound.DecodeAll`

`INLINE PROC Sound.DecodeAll (RESULT INT return.value, Sound.Sample sample)`

Foreign function `Sound_DecodeAll`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `Uint32`.
`Sound.Sample` | `sample` | Argument with type `Sound_Sample *`.

### `occSDLsound.inc`:391Process `Sound.Rewind`

`INLINE PROC Sound.Rewind (RESULT INT return.value, Sound.Sample sample)`

Foreign function `Sound_Rewind`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`Sound.Sample` | `sample` | Argument with type `Sound_Sample *`.

### `occSDLsound.inc`:401Process `Sound.Seek`

`INLINE PROC Sound.Seek (RESULT INT return.value, Sound.Sample sample, VAL INT ms)`

Foreign function `Sound_Seek`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`Sound.Sample` | `sample` | Argument with type `Sound_Sample *`.
`VAL INT` | `ms` | Argument with type `Uint32`.

### `occSDLsound.inc`:409Process `get.audio.callback.ptr`

`INLINE PROC get.audio.callback.ptr (RESULT INT return.value)`

Foreign function `get_audio_callback_ptr`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.

### `occSDLsound.inc`:417Process `check.if.done.playing`

`INLINE PROC check.if.done.playing (RESULT INT return.value)`

Foreign function `check_if_done_playing`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.